diff -u apps/app_queue.c apps-new/app_queue.c
--- apps/app_queue.c	2010-06-12 10:26:41.000000000 +0200
+++ apps-new/app_queue.c	2010-06-12 10:39:57.000000000 +0200
@@ -2540,15 +2540,15 @@
 /*! \brief RNA == Ring No Answer. Common code that is executed when we try a queue member and they don't answer. */
 static void rna(int rnatime, struct queue_ent *qe, char *interface, char *membername, int pause)
 {
-	ast_verb(3, "Nobody picked up in %d ms\n", rnatime);
-	ast_queue_log(qe->parent->name, qe->chan->uniqueid, membername, "RINGNOANSWER", "%d", rnatime);
-	if (qe->parent->autopause && pause) {
+        ast_verb(3, "Nobody picked up in %d ms, queue timeout is %d ms\n", rnatime,qe->parent->timeout*1000);
+        ast_queue_log(qe->parent->name, qe->chan->uniqueid, membername, "RINGNOANSWER", "%d", rnatime);
+        if (qe->parent->autopause && pause && rnatime == qe->parent->timeout*1000) {
 		if (!set_member_paused(qe->parent->name, interface, "Auto-Pause", 1)) {
 			ast_verb(3, "Auto-Pausing Queue Member %s in queue %s since they failed to answer.\n", interface, qe->parent->name);
 		} else {
 			ast_verb(3, "Failed to pause Queue Member %s in queue %s!\n", interface, qe->parent->name);
 		}
-	}
+        }
 	return;
 }
 
Only in apps-new/: app_queue.c~
